SDL_ThreadState(3type)

NAME
SDL_ThreadState - The SDL thread state.

SYNOPSIS
#include <SDL3/SDL_thread.h>

typedef enum SDL_ThreadState
{
    SDL_THREAD_UNKNOWN,     /**< The thread is not valid */
    SDL_THREAD_ALIVE,       /**< The thread is currently running */
    SDL_THREAD_DETACHED,    /**< The thread is detached and can't be waited on */
    SDL_THREAD_COMPLETE     /**< The thread has finished and should be cleaned up with SDL_WaitThread() */
} SDL_ThreadState;

DESCRIPTION
The current state of a thread can be checked by calling SDL_GetThreadState.

AVAILABILITY
This enum is available since SDL 3.2.0.

SEE ALSO
SDL_GetThreadState(3)